------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]勇士剧情任务四（进阶狮心勇士）
--Creator:		林静
--Created:		2019/03/30
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>4

------觉醒任务--------
-- 狮心勇士trojan_lion
-- 狼牙勇士trojan_wolf
-- 虎威勇士trojan_tiger
-- 豹胆勇士trojan_panther

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(67, 67)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
local player  = CppScriptMgr:AddSimplePlayer(23000, 67, 61, "[GoldenTrojan]Mr.Pride", 4003000009,1)
hero:SetPos(67, 67)
hero:SetDir(4)
CppScriptMgr:WaitMilSec(1000)



hero:SetAction(220)
CppScriptMgr:WaitMilSec(1000)

player:SetAction(200)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:NpcCallOut("If you merge with the Totem of Lion, you`ll become the real Lion Trojan! Are you ready?", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc188", 150, 430, "[GoldenTrojan]Mr.Pride", 250, 655)
CppScriptMgr:WaitMilSec(5000)

hero:Say("Can`t wait!", 5000)
CppScriptMgr:WaitMilSec(5000)

CppScriptMgr:SetViewScale(350)
-- 设置玩家动作：player:SetAction(动作id)
hero:AddEffect("trojan_lion")
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewScale(256)
CppScriptMgr:WaitMilSec(1000)
local player1  = CppScriptMgr:AddSimplePlayer(1050230, 72, 62, "Ozi", 4003000030,1)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:NpcCallOut("More challenges await you! After you reach level 100 and eliminate General Tiger, we`ll promote you to Tiger Trojan!", 5000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc188", 150, 430, "[GoldenTrojan]Mr.Pride", 250, 655)
CppScriptMgr:WaitMilSec(5000)


hero:Say("I won`t let you down!", 3000)
CppScriptMgr:WaitMilSec(3000)





